package uulm.teamname.marvelous.gamelibrary.json.config;

import uulm.teamname.marvelous.gamelibrary.json.config.FieldType;

/**
 * POJO describing the ScenarioConfig as defined by the standard document
 */
public class ScenarioConfig {

    /** An array containing the map based on the {@link FieldType} enum. So, ROCK and GRASS basically. */
    public FieldType[][] scenario;

    /** A string containing the name of the author of the scenario config */
    public String author;

    /** A string containing the name of the scenario configuration (so basically the map title) */
    public String name;
}
