package uulm.teamname.marvelous.gamelibrary.json.ingame;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.ObjectCodec;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import uulm.teamname.marvelous.gamelibrary.IntVector2;

import java.io.IOException;

public class IntVector2Deserializer extends JsonDeserializer<IntVector2> {

    ObjectMapper mapper = new ObjectMapper();

    @Override
    public IntVector2 deserialize(JsonParser p, DeserializationContext ctxt) throws IOException {
        var values = mapper.readValue(p, Integer[].class);
        IntVector2 result = new IntVector2(values[0], values[1]);
        return result;
    }
}
