package uulm.teamname.marvelous.gamelibrary.requests;

import uulm.teamname.marvelous.gamelibrary.IntVector2;
import uulm.teamname.marvelous.gamelibrary.entities.EntityID;
import uulm.teamname.marvelous.gamelibrary.entities.StoneType;

/** Represents a character event for: {@link RequestType#MeleeAttackRequest}, {@link RequestType#RangedAttackRequest}, {@link RequestType#MoveRequest}, {@link RequestType#ExchangeInfinityStoneRequest}, {@link RequestType#UseInfinityStoneRequest}. */
public class CharacterRequest extends Request {
    public EntityID originEntity = null;
    public EntityID targetEntity = null;
    public IntVector2 originField = null;
    public IntVector2 targetField = null;
    public Integer value = null; //why is it called amount in events and value in requests?
    public StoneType stoneType = null;
}
